Bug 984891 - [abrt] gitg-0.2.7-1.fc19: mem_error: Process /usr/bin/gitg was killed by signal 6 (SIGABRT)
[abrt] gitg-0.2.7-1.fc19: mem_error: Process /usr/bin/gitg was killed by sign...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gitg (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
abrt_hash:9e4997659717b1f2a320168eea6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 05:52 EDT by Maël Lavault
Modified: 2015-02-17 11:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:11:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.18 KB, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: core_backtrace (4.43 KB, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: dso_list (9.94 KB, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: environ (1.21 KB, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: maps (47.13 KB, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: open_fds (1.32 KB, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details
File: var_log_messages (286 bytes, text/plain)
2013-07-16 05:52 EDT, Maël Lavault
no flags Details

  None (edit)
Description Maël Lavault 2013-07-16 05:52:07 EDT
Version-Release number of selected component:
gitg-0.2.7-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        gitg
crash_function: mem_error
executable:     /usr/bin/gitg
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 mem_error at gslice.c:1442
 #3 slab_allocator_free_chunk at gslice.c:1324
 #4 magazine_cache_trim at gslice.c:672
 #5 magazine_cache_push_magazine at gslice.c:703
 #6 thread_memory_magazine2_unload at gslice.c:802
 #7 g_slice_free1 at gslice.c:1093
 #8 do_clear at gitg-repository.c:385
 #9 gitg_repository_reload at gitg-repository.c:1520
 #14 _gtk_action_emit_activate at gtkaction.c:801
 #19 gtk_widget_activate at gtkwidget.c:6745

Potential duplicate: bug 706381
Comment 1 Maël Lavault 2013-07-16 05:52:12 EDT
Created attachment 774148 [details]
File: backtrace
Comment 2 Maël Lavault 2013-07-16 05:52:15 EDT
Created attachment 774149 [details]
File: cgroup
Comment 3 Maël Lavault 2013-07-16 05:52:19 EDT
Created attachment 774150 [details]
File: core_backtrace
Comment 4 Maël Lavault 2013-07-16 05:52:22 EDT
Created attachment 774151 [details]
File: dso_list
Comment 5 Maël Lavault 2013-07-16 05:52:31 EDT
Created attachment 774152 [details]
File: environ
Comment 6 Maël Lavault 2013-07-16 05:52:37 EDT
Created attachment 774153 [details]
File: limits
Comment 7 Maël Lavault 2013-07-16 05:52:44 EDT
Created attachment 774154 [details]
File: maps
Comment 8 Maël Lavault 2013-07-16 05:52:48 EDT
Created attachment 774155 [details]
File: open_fds
Comment 9 Maël Lavault 2013-07-16 05:52:51 EDT
Created attachment 774156 [details]
File: proc_pid_status
Comment 10 Maël Lavault 2013-07-16 05:52:54 EDT
Created attachment 774157 [details]
File: var_log_messages
Comment 11 William Penton 2013-11-15 14:07:30 EST
I had gitg on another workspace when it crashed but the repo I had open I was working on via command line. I had merged a feature branch with the develop branch, pushed to origin, then merged develop with master and pushed to origin. I then created a lightweight tag " git tag v1.2.1 " and pushed to origin. All via command line. I am not sure which one of these operations killed gitg.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        gitg
crash_function: mem_error
executable:     /usr/bin/gitg
kernel:         3.11.6-200.fc19.x86_64
package:        gitg-0.2.7-1.fc19
reason:         Process /usr/bin/gitg was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Fedora End Of Life 2015-01-09 13:56:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:11:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.